<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>Uses of Interface ch.sebi.zuul.command.CommandExecutor</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface ch.sebi.zuul.command.CommandExecutor";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/command/class-use/CommandExecutor.html" target="_top">Frames</a></li>
<li><a href="CommandExecutor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface ch.sebi.zuul.command.CommandExecutor" class="title">Uses of Interface<br>ch.sebi.zuul.command.CommandExecutor</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command">ch.sebi.zuul.command</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command.executors.commons">ch.sebi.zuul.command.executors.commons</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command.executors.fight">ch.sebi.zuul.command.executors.fight</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command.executors.normal">ch.sebi.zuul.command.executors.normal</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="ch.sebi.zuul.command">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a> in <a href="../../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a> declared as <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></code></td>
<td class="colLast"><span class="typeNameLabel">CommandParser.CommandElement.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html#executor">executor</a></span></code>
<div class="block">The executor of the command</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></code></td>
<td class="colLast"><span class="typeNameLabel">CommandDiscoverer.DiscoveredCommand.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html#executor">executor</a></span></code>
<div class="block">The executor</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a> that return <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></code></td>
<td class="colLast"><span class="typeNameLabel">CommandParser.CommandElement.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html#getExecutor--">getExecutor</a></span>()</code>
<div class="block">Returns the executor of the command</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></code></td>
<td class="colLast"><span class="typeNameLabel">CommandDiscoverer.DiscoveredCommand.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html#getExecutor--">getExecutor</a></span>()</code>
<div class="block">Returns the executor</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></code></td>
<td class="colLast"><span class="typeNameLabel">CommandParser.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/CommandParser.html#getExecutor-java.lang.String-">getExecutor</a></span>(java.lang.String&nbsp;cmd)</code>
<div class="block">Returns the registered executor for the command word or null if the command doesn't exist</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">CommandParser.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/CommandParser.html#getExecutors--">getExecutors</a></span>()</code>
<div class="block">Returns all commands which are registerd in this command parser</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a> with parameters of type <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CommandParser.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/CommandParser.html#registerExecutor-java.lang.String-ch.sebi.zuul.command.CommandExecutor-java.lang.String-java.lang.String-">registerExecutor</a></span>(java.lang.String&nbsp;cmd,
                <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a>&nbsp;executor,
                java.lang.String&nbsp;syntax,
                java.lang.String&nbsp;help)</code>
<div class="block">Registers an executor for a command</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a> with parameters of type <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html#CommandElement-java.lang.String-ch.sebi.zuul.command.CommandExecutor-java.lang.String-java.lang.String-">CommandElement</a></span>(java.lang.String&nbsp;commandName,
              <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a>&nbsp;executor,
              java.lang.String&nbsp;syntax,
              java.lang.String&nbsp;help)</code>
<div class="block">constructor</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html#DiscoveredCommand-ch.sebi.zuul.command.CommandExecutor-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">DiscoveredCommand</a></span>(<a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a>&nbsp;executor,
                 java.lang.String&nbsp;commandName,
                 java.lang.String&nbsp;scope,
                 java.lang.String&nbsp;syntax,
                 java.lang.String&nbsp;help)</code>
<div class="block">constructor</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.command.executors.commons">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a> in <a href="../../../../../ch/sebi/zuul/command/executors/commons/package-summary.html">ch.sebi.zuul.command.executors.commons</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../ch/sebi/zuul/command/executors/commons/package-summary.html">ch.sebi.zuul.command.executors.commons</a> that implement <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/commons/HelpExecutor.html" title="class in ch.sebi.zuul.command.executors.commons">HelpExecutor</a></span></code>
<div class="block">The executor for the help command<br/>
 syntax: help</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.command.executors.fight">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a> in <a href="../../../../../ch/sebi/zuul/command/executors/fight/package-summary.html">ch.sebi.zuul.command.executors.fight</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../ch/sebi/zuul/command/executors/fight/package-summary.html">ch.sebi.zuul.command.executors.fight</a> that implement <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/fight/AttackExecutor.html" title="class in ch.sebi.zuul.command.executors.fight">AttackExecutor</a></span></code>
<div class="block">The executor which handels the attack command in fights</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.command.executors.normal">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a> in <a href="../../../../../ch/sebi/zuul/command/executors/normal/package-summary.html">ch.sebi.zuul.command.executors.normal</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../ch/sebi/zuul/command/executors/normal/package-summary.html">ch.sebi.zuul.command.executors.normal</a> that implement <a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/normal/ConditionsExecutor.html" title="class in ch.sebi.zuul.command.executors.normal">ConditionsExecutor</a></span></code>
<div class="block">The executor for the condition[s] command</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/normal/GoExecutor.html" title="class in ch.sebi.zuul.command.executors.normal">GoExecutor</a></span></code>
<div class="block">The executor for the go command</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/normal/InventoryExecutor.html" title="class in ch.sebi.zuul.command.executors.normal">InventoryExecutor</a></span></code>
<div class="block">The inventory executor<br/>
 syntax: inventory</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/normal/PickUpExecutor.html" title="class in ch.sebi.zuul.command.executors.normal">PickUpExecutor</a></span></code>
<div class="block">The executor for the pickup command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/command/executors/normal/QuitExecutor.html" title="class in ch.sebi.zuul.command.executors.normal">QuitExecutor</a></span></code>
<div class="block">The executor for the quit command<br/>
 syntax: quit</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/command/class-use/CommandExecutor.html" target="_top">Frames</a></li>
<li><a href="CommandExecutor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
